# Hurricane VLSI Database

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

DebugSession Class Reference

Enable/Disable trace information (`API`). More...

## Detailed Description

Enable/Disable trace information (`API`).

# Trace Levels

DebugSession allows to display selectively the trace/debug messages between a `minLevel` (included) and `maxLevel` (excluded) .

To avoid mixing messages between different parts of the software, the following allotments have been done:

Trace/Debug level allotments (provisional)
Tool/Library | Minimum | Maximum
Hurricane | `0` | `20` | Isobar | `30` | `40`

The documentation for this class was generated from the following file:

- DebugSession.dox

Generated by doxygen 1.8.5 on Mon May 16 2016 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved